List Client Reports

Retrieves a paginated list of reports for a client, with support for filtering with PII, sorting, and cursor-based pagination.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the client

Body Params

Request payload containing filters, pagination and sorting options.

Filtering

Filters must be passed inside the filter object.

Supported fields:

  • report_name
  • status
  • owner.email

Examples

"filter": {
  "report_name": "eq:Supplier Score Report (SPRS)",
  "status": "eq:Progress",
  "owner.email": "eq:[email protected]"
}

Supported status values

Progress, Completed, Fail

Supported operators

  • eq — exact match
  • in — comma-separated list

Example:

"status": "in:Progress,Completed"

Pagination

  • page_size default = 50
  • page_size max = 200

Cursor Pagination

  • cursor must be Base64 encoded.

Sorting

Allowed fields:

created_at, report_name, status

Sorting rules:

  • Ascending → created_at or +created_at
  • Descending → -created_at

Query request for reports with filters, fields, pagination, cursor, and sort

filter
object
string

Comma-separated list of fields to include in the response

int32
1 to 200
string
^[A-Za-z0-9+/=]*$

Opaque Base64 cursor from a previous paginated response

string
^(?:[+-]|\s)?(created_at|report_name|status)$

Sorting field

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json